--
-- CREATE_TABLE
--

--
-- Examples in SQL Reference
--
CREATE SEQUENCE distributors1_serial START 1;

CREATE TABLE distributors1(
	name		VARCHAR(40) DEFAULT 'luso films1', 
	did		INTEGER DEFAULT NEXTVAL('distributors1_serial'), 
	modtime 	TIMESTAMP DEFAULT now()
);

DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3) CONSTRAINT no_null NOT NULL,
	name		VARCHAR(40) NOT NULL
);

DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3),
	name		VARCHAR(40) UNIQUE
);

DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3),
	name		VARCHAR(40),
        UNIQUE(name)
);

DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3),
	name		VARCHAR(40),
        UNIQUE(did,name)
);

DROP TABLE distributors1;

CREATE TABLE films1(
	code		CHARACTER(5) CONSTRAINT firstkey PRIMARY KEY,
	title		CHARACTER VARYING(40) NOT NULL,
	did		DECIMAL(3) NOT NULL,
	date_prod	DATE,
	kind		CHAR(10),
	len		INTERVAL HOUR TO MINUTE
);

CREATE TABLE distributors1(
	did		DECIMAL(3) PRIMARY KEY DEFAULT NEXTVAL('distributors1_serial'),
	name		VARCHAR(40) NOT NULL CHECK (name <> '')
);

DROP TABLE films1;
DROP TABLE distributors1;

CREATE TABLE array (
        vector INT[] []
);

CREATE TABLE films1(
	code		CHAR(5),
	title		VARCHAR(40),
	did		DECIMAL(3),
	date_prod	DATE,
	kind		CHAR(10),
	len		INTERVAL HOUR TO MINUTE,
	CONSTRAINT	production UNIQUE(date_prod)
);

CREATE TABLE distributors1(
	did		DECIMAL(3) CHECK (did > 100),
	name		VARCHAR(40)
);

DROP TABLE films1;
DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3),
	name		VARCHAR(40)
	CONSTRAINT	con1 CHECK (did > 100 AND name > '')
);

CREATE TABLE films1(
	code		CHAR(5),
	title		VARCHAR(40),
	did		DECIMAL(3),
	date_prod	DATE,
	kind		CHAR(10),
	len		INTERVAL HOUR TO MINUTE,
	CONSTRAINT	code_title PRIMARY KEY(code, title)
);

DROP TABLE films1;
DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3),
	name		CHAR VARYING(40),
	PRIMARY KEY (did)
);

DROP TABLE distributors1;

CREATE TABLE distributors1(
	did		DECIMAL(3) PRIMARY KEY,
	name		VARCHAR(40)
);

DROP TABLE distributors1;

DROP SEQUENCE distributors1_serial;
